//
//  PFAPIClient.m
//  PhotoFlickr
//
//  Created by Thao Nguyen Huy on 7/1/13.
//  Copyright (c) 2013 CNC Software. All rights reserved.
//

#import "PFAPIClient.h"

// Import header for Request operation
// Use AFXMLRequestOperation.h for XML format
#import "AFJSONRequestOperation.h"

@implementation PFAPIClient

+ (PFAPIClient *)sharedClient {
    static PFAPIClient *_sharedClient = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        _sharedClient = [[PFAPIClient alloc] initWithBaseURL:[NSURL URLWithString:kURLBaseForAPI]];
    });
    return _sharedClient;
}

- (id)initWithBaseURL:(NSURL *)url {
    self = [super initWithBaseURL:url];
    if (!self) {
        return nil;
    }
    
    [self registerHTTPOperationClass:[AFJSONRequestOperation class]];
    
    // Set value for header accept
    // If use AFXMLRequestOperation.h value will be "application/xml"
	[self setDefaultHeader:@"Accept" value:@"application/json"];
    
    return self;
}

@end
