//
//  PFPhoto.h
//  PhotoFlickr
//
//  Created by Thao Nguyen Huy on 7/1/13.
//  Copyright (c) 2013 CNC Software. All rights reserved.
//

#import <Foundation/Foundation.h>

@class PFUser;

@interface PFPhoto : NSObject

// Class methods
+ (void)searchPhotosByKeyword:(NSString *)keyword completionBlock:(void (^)(NSArray *photos, NSError *error))block;

@property (readonly) NSString   *photoId;
@property (readonly) NSString   *title;
@property (readonly) NSString   *secret;
@property (readonly) NSString   *farm;
@property (readonly) NSString   *serverId;
@property (readonly) PFUser     *owner;
@property (readonly, nonatomic, unsafe_unretained) NSURL *imageSize150URL;
@property (readonly, nonatomic, unsafe_unretained) NSURL *imageSize240URL;

- (id)initWithAttributes:(NSDictionary *)attributes;

// Get details information and comments off photo
- (void)getInfoWithCompletionBlock:(void (^)(NSError *error))block;
- (void)getCommentsWithCompletionBlock:(void (^)(NSArray *comments, NSError *error))block;

@end
