//
//  PFUser.m
//  PhotoFlickr
//
//  Created by Thao Nguyen Huy on 7/2/13.
//  Copyright (c) 2013 CNC Software. All rights reserved.
//

#import "PFUser.h"
#import "NSDictionary+PFCategory.h"

@implementation PFUser

@synthesize userId      = _userId;
@synthesize userName    = _userName;
@synthesize realName    = _realName;
@synthesize location    = _location;
@synthesize iconServer  = _iconServer;
@synthesize iconFarm    = _iconFarm;

- (id)initWithAttributes:(NSDictionary *)attributes {
    if (self = [super init]) {
        _userId         = [attributes stringForKey:kFieldNameNSID];
        _userName       = [attributes stringForKey:kFieldNameUserName];
        _realName       = [attributes stringForKey:kFieldNameRealName];
        _location       = [attributes stringForKey:kFieldNameLocation];
        _iconServer     = [attributes stringForKey:kFieldNameIconServer];
        _iconFarm       = [attributes stringForKey:kFieldNameIconFarm];
    }
    return self;
}

- (id)initWithId:(NSString *)anId name:(NSString *)aName iconFarm:(NSString *)aFarm iconServer:(NSString *)aServerId {
    if (self = [super init]) {
        _userId = anId;
        _userName = aName;
        _iconFarm = aFarm;
        _iconServer = aServerId;
    }
    return self;
}

- (NSURL *)avatarImageURL {
    return [NSURL URLWithString:[NSString stringWithFormat:@"http://farm%@.staticflickr.com/%@/buddyicons/%@.jpg",
                                 _iconFarm, _iconServer, _userId]];
}

@end
