//
//  PFCommentCell.m
//  PhotoFlickr
//
//  Created by Thao Nguyen Huy on 7/5/13.
//  Copyright (c) 2013 Thao Nguyen Huy. All rights reserved.
//

#import "PFCommentCell.h"
#import "PFComment.h"
#import "PFUser.h"
#import "UIImageView+AFNetworking.h"

@implementation PFCommentCell

@synthesize avatarImageView = _avatarImageView;
@synthesize authorNameLabel = _authorNameLabel;
@synthesize contentLabel    = _contentLabel;
@synthesize comment         = _comment;

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        // Initialization code
    }
    return self;
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

+ (PFCommentCell *)cellFromNib {
    NSArray *nibs = [[NSBundle mainBundle] loadNibNamed:NSStringFromClass([self class])
                                                  owner:self
                                                options:nil];
    PFCommentCell *cell = [nibs objectAtIndex:0];
    return cell;
}

+ (CGFloat)heightForCellWithPost:(PFComment *)comment {
    CGSize sizeToFit = [comment.content sizeWithFont:[UIFont systemFontOfSize:12.0f] constrainedToSize:CGSizeMake(220.0f, CGFLOAT_MAX) lineBreakMode:NSLineBreakByWordWrapping];
    return fmaxf(76.0f, sizeToFit.height + 45.0f);
}

- (void)setComment:(PFComment *)comment {
    _comment = comment;
    [_avatarImageView setImageWithURL:_comment.author.avatarImageURL placeholderImage:nil];
    if (_comment.author.userName.length > 0) {
        _authorNameLabel.text = _comment.author.userName;
    }
    else {
        _authorNameLabel.text = @"Unknow";
    }
    _contentLabel.text = _comment.content;
    
    [self setNeedsLayout];
}

#pragma mark - UIView
- (void)layoutSubviews {
    [super layoutSubviews];
    CGRect contentFrame = _contentLabel.frame;
    contentFrame.size.height = [[self class] heightForCellWithPost:_comment] - 45.0f;
    _contentLabel.frame = contentFrame;
}

@end
