//
//  PFPhotoCell.m
//  PhotoFlickr
//
//  Created by Thao Nguyen Huy on 7/1/13.
//  Copyright (c) 2013 CNC Software. All rights reserved.
//

#import "PFPhotoCell.h"
#import "PFPhoto.h"
#import "PFUser.h"
#import "UIImageView+AFNetworking.h"

@implementation PFPhotoCell

@synthesize avatarImageView     = _avatarImageView;
@synthesize ownerNameLabel      = _ownerNameLabel;
@synthesize ownerLocationLabel  = _ownerLocationLabel;
@synthesize photoImageView      = _photoImageView;
@synthesize photo = _photo;

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        // Initialization code
    }
    return self;
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

+ (PFPhotoCell *)cellFromNib {
    NSArray *nibs = [[NSBundle mainBundle] loadNibNamed:NSStringFromClass([self class])
                                                  owner:self
                                                options:nil];
    PFPhotoCell *cell = [nibs objectAtIndex:0];
    return cell;
}

- (void)setPhoto:(PFPhoto *)photo {
    _photo = photo;
    [_avatarImageView setImageWithURL:_photo.owner.avatarImageURL placeholderImage:nil];
    if (_photo.owner.realName.length > 0) {
        _ownerNameLabel.text = _photo.owner.realName;
    }
    else if (_photo.owner.userName.length > 0) {
        _ownerNameLabel.text = _photo.owner.userName;
    }
    else {
        _ownerNameLabel.text = @"Unknow";
    }
    _ownerLocationLabel.text = _photo.owner.location;
    [_photoImageView setImageWithURL:_photo.imageSize150URL placeholderImage:nil];
}

@end
